# Define version and release number
%define php_common_major 8
%define php_common_sub 3
%define phplong %{php_common_major}.%{php_common_sub}
%define realname RRD
%define modname rrd
%define soname %{modname}.so
%define inifile 61_%{modname}.ini
%define php_inidir %{_sysconfdir}/php.d/
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	The %{realname} module for PHP
Name:		php-%{modname}
Version:	2.0.3
Release:	%mkrel 11
Group:		Development/PHP
License:	BSD
URL:		https://pecl.php.net/package/rrd
Source0:	https://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(librrd) >= 1.2.7
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	php-devel >= 3:%{phplong}.0
BuildRequires:	php-devel <= 3:%{phplong}.99
Obsoletes:	php-rrdtool < 1

%description
%{modname}

%package -n php%{phplong}-%{modname}
Summary:	The %{realname} module for PHP
Group:		Development/PHP
Requires:	php >= 3:%{phplong}.0
Requires:	php <= 3:%{phplong}.99
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description -n php%{phplong}-%{modname}
The php-rrd package is a dynamic shared object (DSO) that adds RRD
support to PHP.

%prep

%setup -q -n %{modname}-%{version}

%build
phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{extdir}/

%{__cat} > README.%{modname} << EOF
The php-rrd package contains a dynamic shared object (DSO) for PHP.
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

%{__cat} > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF
install -d %{buildroot}%{inidir}
ln -s -t %{buildroot}%{inidir}/ %{php_inidir}/%{inifile}

%files -n php%{phplong}-%{modname}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%config(noreplace)%{inidir}/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}


%changelog
* Wed Mar 26 2025 mokraemer <mokraemer> 2.0.3-11.mga9
+ Revision: 2169969
- switched config dir
- fix dependency
- support multiversioned php

* Fri Sep 08 2023 mokraemer <mokraemer> 2.0.3-8.mga10
+ Revision: 1985187
- rebuild for php 8.3

* Fri Nov 04 2022 mokraemer <mokraemer> 2.0.3-7.mga9
+ Revision: 1902353
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 2.0.3-6.mga9
+ Revision: 1879789
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 2.0.3-5.mga9
+ Revision: 1869972
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 2.0.3-4.mga9
+ Revision: 1869841
- rebuild for php 8.2

* Fri Apr 01 2022 umeabot <umeabot> 2.0.3-3.mga9
+ Revision: 1838666
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 mokraemer <mokraemer> 2.0.3-2.mga9
+ Revision: 1759380
- rebuild for php 8.1

* Fri Apr 23 2021 mokraemer <mokraemer> 2.0.3-1.mga9
+ Revision: 1718123
- new version 2.0.3

* Mon Apr 19 2021 mokraemer <mokraemer> 2.0.2-1.mga9
+ Revision: 1717205
- new version 2.0.2

* Sun Nov 29 2020 mokraemer <mokraemer> 2.0.1-9.mga8
+ Revision: 1650231
+ rebuild (emptylog)

* Thu Jun 18 2020 mokraemer <mokraemer> 2.0.1-8.mga8
+ Revision: 1596228
- fix dep to current version

* Tue Feb 18 2020 umeabot <umeabot> 2.0.1-7.mga8
+ Revision: 1538994
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 2.0.1-6.mga8
+ Revision: 1463540
+ rebuild (emptylog)

* Wed Dec 12 2018 mokraemer <mokraemer> 2.0.1-4.mga7
+ Revision: 1340456
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 2.0.1-3.mga7
+ Revision: 1325890
- updated requirements
- updated requirements
- updated requirements
- added source
- initial commit for package replacement of php-rrdtool to php-rrd
- Created package structure for php-rrd.

